Get firewall rules
Retrieve a paginated list of firewall rules for a specific instance.
Authorization
ApiKeyAuth x-apikey<token>
In: header
Path Parameters
instance_uuid*string
UUID of the instance
Format
uuidQuery Parameters
page?integer
Page number
limit?integer
Number of results per page
Response Body
application/json
curl -X GET "https://api.dewavps.com/v1/instance/497f6eca-6276-4993-bfeb-53cbbbba6f08/firewall/rules"{
"message": "Instance firewall rules",
"data": {
"data": [
{
"id": "string",
"source": "string",
"source_ipset": {
"name": "string",
"cidr": [
"string"
]
},
"destination_port": 0,
"action": "A",
"action_desc": "ACCEPT",
"protocol": "tcp",
"is_enable": 0,
"description": "string",
"created_at": "string"
}
],
"page": {
"total": 0,
"count": 0,
"per_page": 0,
"current_page": 0,
"total_pages": 0
}
}
}